Bug 157557 - Mount -t smbfs leads to system crash
Mount -t smbfs leads to system crash
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-12 13:43 EDT by Jay Hampton
Modified: 2015-01-04 17:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:28:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Hampton 2005-05-12 13:43:44 EDT
This bug seems to still exist in FC3 running kernel 2.6.11-1.14_FC3.

I am getting a kernel oops

+++ This bug was initially created as a clone of Bug #129577 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7)
Gecko/20040614 Firefox/0.8

Description of problem:
When attempting to mount a SMB share using Fedora Core 2 and Samba
2.0.3-5 the mount will appear to succeed- no error message is
returned, the mount log shows success.

Upon cd-ing to the mount point, the system will crash within the first
few file actions such as ls, cp or mv from the machine to the share,
etc.  The system crash is total: I have to use the hardware reset
button to restart the machine.   I've been unable to find any log that
shows any signs of error- the logs show a successful mount, and then
the boot messages.

It will occasionally let several commands though: I've managed to get
as far as browsing through 2 directories and copying a file once.



Version-Release number of selected component (if applicable):
samba-3.0.3-5

How reproducible:
Always

Steps to Reproduce:
1. Mount SMB share
2. Go to share point, perform file actions
3.
    

Actual Results:  System crash

Expected Results:  Act like a typical mount

Additional info:

This error occurs on two seperate machines, a Dell Optiplex and a
Penguin Computing dual-Xeon server which share no hardware in common.
 The server was able to connect to this mount point using RH9 before
upgrading to FC2 yesterday.
Comment 1 Dave Jones 2005-05-17 20:40:56 EDT
no messages on the console of the server at all at the time of the crash ?

setting up netconsole might yield something..
Comment 2 Jay Hampton 2005-06-02 11:52:44 EDT
Here is from /var/log/messages:

Jun  2 10:29:13 localhost kernel: Unable to handle kernel paging request at
virtual address 00100100
Jun  2 10:29:13 localhost kernel:  printing eip:
Jun  2 10:29:13 localhost kernel: c0154f28
Jun  2 10:29:13 localhost kernel: *pde = 00000000
Jun  2 10:29:13 localhost kernel: Oops: 0000 [#1]
Jun  2 10:29:13 localhost kernel: Modules linked in: smbfs parport_pc lp parport
autofs4 i2c_dev i2c_core ipt_REJECT ipt_state ip_conntrack iptable_filter
ip_tables dm_mod video button battery ac uhci_hcd ehci_hcd via_ircc irda
crc_ccitt snd_via82xx snd_ac97_codec snd_pcm_oss snd_mixer_oss snd_pcm snd_timer
snd_page_alloc gameport snd_mpu401_uart snd_rawmidi snd_seq_device snd soundcore
via_rhine mii floppy ext3 jbd
Jun  2 10:29:13 localhost kernel: CPU:    0
Jun  2 10:29:13 localhost kernel: EIP:    0060:[<c0154f28>]    Not tainted VLI
Jun  2 10:29:13 localhost kernel: EFLAGS: 00010016   (2.6.11-1.27_FC3)
Jun  2 10:29:13 localhost kernel: EIP is at kfree+0x22/0x47
Jun  2 10:29:13 localhost kernel: eax: 00100100   ebx: d973fee0   ecx: d973ff18
  edx: c1000000
Jun  2 10:29:13 localhost kernel: esi: d812e000   edi: 00000286   ebp: dedbb000
  esp: d912adb8
Jun  2 10:29:13 localhost kernel: ds: 007b   es: 007b   ss: 0068
Jun  2 10:29:13 localhost kernel: Process ls (pid: 4196, threadinfo=d912a000
task=df5f1730)
Jun  2 10:29:13 localhost kernel: Stack: d973fee0 d973fee0 00000001 e0ad85a6
d973fee0 e0ad8734 00000000 00000831
Jun  2 10:29:13 localhost kernel:        00000001 00000001 d81053e8 d81048bc
c018b057 d912afa0 d9f94cc0 4d126af0
Jun  2 10:29:13 localhost kernel:        fffc552c 000000a0 00000000 00000000
d8003000 0000004c 00000000 00000000
Jun  2 10:29:13 localhost kernel: Call Trace:
Jun  2 10:29:13 localhost kernel:  [<e0ad85a6>] smb_setup_request+0x6b/0x6f [smbfs]
Jun  2 10:29:13 localhost kernel:  [<e0ad8734>] smb_add_request+0x11/0x2f1 [smbfs]
Jun  2 10:29:13 localhost kernel:  [<c018b057>] filldir64+0x0/0xd0
Jun  2 10:29:13 localhost kernel:  [<e0ad2c12>]
smb_proc_readdir_long+0x150/0x4b5 [smbfs]
Jun  2 10:29:13 localhost kernel:  [<c018b057>] filldir64+0x0/0xd0
Jun  2 10:29:13 localhost kernel:  [<e0ad4354>] smb_readdir+0x134/0x561 [smbfs]
Jun  2 10:29:13 localhost kernel:  [<c018b057>] filldir64+0x0/0xd0
Jun  2 10:29:13 localhost kernel:  [<c018b057>] filldir64+0x0/0xd0
Jun  2 10:29:13 localhost kernel:  [<c018adea>] vfs_readdir+0x96/0xab
Jun  2 10:29:13 localhost kernel:  [<c018b193>] sys_getdents64+0x6c/0xbe
Jun  2 10:29:13 localhost kernel:  [<c0103903>] syscall_call+0x7/0xb
Jun  2 10:29:13 localhost kernel: Code: 83 c4 04 89 d0 5b 5e 5f c3 57 85 c0 56
89 c6 53 74 2b 9c 5f fa 8d 80 00 00 00 40 8b 15 f0 9c 46 c0 c1 e8 0c c1 e0 05 8b
44 10 18 <8b> 18 8b 13 3b 53 04 73 0d 89 74 93 10 83 03 01 57 9d 5b 5e 5f

And this:

Jun  2 10:32:01 localhost ntpd[3548]: synchronized to 10.0.0.22, stratum 15
Jun  2 10:32:01 localhost ntpd[3548]: kernel time sync disabled 0041
Jun  2 10:32:10 localhost kernel:  ------------[ cut here ]------------
Jun  2 10:32:10 localhost kernel: kernel BUG at mm/rmap.c:482!
Jun  2 10:32:10 localhost kernel: invalid operand: 0000 [#2]
Jun  2 10:32:10 localhost kernel: Modules linked in: smbfs parport_pc lp parport
autofs4 i2c_dev i2c_core ipt_REJECT ipt_state ip_conntrack iptable_filter
ip_tables dm_mod video button battery ac uhci_hcd ehci_hcd via_ircc irda
crc_ccitt snd_via82xx snd_ac97_codec snd_pcm_oss snd_mixer_oss snd_pcm snd_timer
snd_page_alloc gameport snd_mpu401_uart snd_rawmidi snd_seq_device snd soundcore
via_rhine mii floppy ext3 jbd
Jun  2 10:32:10 localhost kernel: CPU:    0
Jun  2 10:32:10 localhost kernel: EIP:    0060:[<c0166062>]    Not tainted VLI
Jun  2 10:32:10 localhost kernel: EFLAGS: 00010286   (2.6.11-1.27_FC3)
Jun  2 10:32:10 localhost kernel: EIP is at page_remove_rmap+0x2c/0x40
Jun  2 10:32:10 localhost kernel: eax: ffffffff   ebx: 00001000   ecx: c1302980
  edx: c1302980
Jun  2 10:32:10 localhost kernel: esi: d812c37c   edi: 00047000   ebp: c1302980
  esp: d912aca4
Jun  2 10:32:10 localhost kernel: ds: 007b   es: 007b   ss: 0068
Jun  2 10:32:10 localhost kernel: Process bash (pid: 4203, threadinfo=d912a000
task=dde1e2b0)
Jun  2 10:32:10 localhost kernel: Stack: c015c83f c17ef6c8 c17ef70c c17ef7b0
00000000 1814c067 00000000 080de000
Jun  2 10:32:10 localhost kernel:        c043de28 084de000 dfd3d084 08125000
c043de28 c015c9be 00047000 00000000
Jun  2 10:32:10 localhost kernel:        00000000 00000000 080de000 dfd3d084
08125000 c043de28 c015ca0a 00047000
Jun  2 10:32:10 localhost kernel: Call Trace:
Jun  2 10:32:10 localhost kernel:  [<c015c83f>] zap_pte_range+0x14b/0x283
Jun  2 10:32:10 localhost kernel:  [<c015c9be>] zap_pmd_range+0x47/0x65
Jun  2 10:32:10 localhost kernel:  [<c015ca0a>] zap_pud_range+0x2e/0x52
Jun  2 10:32:11 localhost kernel:  [<c015ca94>] unmap_page_range+0x66/0x83
Jun  2 10:32:11 localhost kernel:  [<c015cbb4>] unmap_vmas+0x103/0x37c
Jun  2 10:32:11 localhost kernel:  [<c016351f>] exit_mmap+0xa0/0x265
Jun  2 10:32:11 localhost kernel:  [<c014b84f>] generic_file_aio_read+0x3e/0x4f
Jun  2 10:32:11 localhost kernel:  [<c011c521>] mmput+0x23/0x1c2
Jun  2 10:32:11 localhost kernel:  [<c0181803>] exec_mmap+0x128/0x2b2
Jun  2 10:32:11 localhost kernel:  [<c0181dbe>] flush_old_exec+0x127/0x1074
Jun  2 10:32:11 localhost kernel:  [<c013c499>] autoremove_wake_function+0x0/0x37
Jun  2 10:32:11 localhost kernel:  [<c0173e59>] vfs_read+0xc0/0x108
Jun  2 10:32:11 localhost kernel:  [<c01816d1>] kernel_read+0x37/0x41
Jun  2 10:32:11 localhost kernel:  [<c01ab2c4>] load_elf_binary+0x3ca/0xd21
Jun  2 10:32:11 localhost kernel:  [<c01810ed>] copy_strings+0x1c3/0x211
Jun  2 10:32:11 localhost kernel:  [<c01830ea>] search_binary_handler+0x60/0x1d1
Jun  2 10:32:11 localhost kernel:  [<c01833ba>] do_execve+0x15f/0x1fe
Jun  2 10:32:11 localhost kernel:  [<c0101a38>] sys_execve+0x34/0x1fc
Jun  2 10:32:11 localhost kernel:  [<c0103903>] syscall_call+0x7/0xb
Jun  2 10:32:11 localhost kernel: Code: c2 8b 00 f6 c4 08 75 2d 83 42 08 ff 0f
98 c0 84 c0 74 17 8b 42 08 83 c0 01 78 10 ba ff ff ff ff b8 10 00 00 00 e9 3c a1
fe ff c3 <0f> 0b e2 01 96 12 37 c0 eb e6 0f 0b df 01 96 12 37 c0 eb c9 55
Jun  2 10:32:11 localhost kernel:  <3>Debug: sleeping function called from
invalid context at include/linux/rwsem.h:43
Jun  2 10:32:11 localhost kernel: in_atomic():1, irqs_disabled():0
Jun  2 10:32:11 localhost kernel:  [<c011bfbe>] __might_sleep+0x9c/0xa4
Jun  2 10:32:11 localhost kernel:  [<c0105656>] do_IRQ+0x53/0x85
Jun  2 10:32:11 localhost kernel:  [<c0120978>] profile_task_exit+0x18/0x43
Jun  2 10:32:11 localhost kernel:  [<c0122c87>] do_exit+0x19/0x4f4
Jun  2 10:32:11 localhost kernel:  [<c01043a4>] die+0x222/0x2ba
Jun  2 10:32:11 localhost kernel:  [<c0166062>] page_remove_rmap+0x2c/0x40
Jun  2 10:32:11 localhost kernel:  [<c0104665>] do_invalid_op+0x0/0x99
Jun  2 10:32:11 localhost kernel:  [<c01046f5>] do_invalid_op+0x90/0x99
Jun  2 10:32:11 localhost kernel:  [<c0166062>] page_remove_rmap+0x2c/0x40
Jun  2 10:32:11 localhost kernel:  [<e0890326>] ext3_do_update_inode+0x1c3/0x3c5
[ext3]
Jun  2 10:32:11 localhost kernel:  [<e084dd16>]
journal_get_write_access+0x2a/0x33 [jbd]
Jun  2 10:32:11 localhost kernel:  [<e084ef02>] journal_stop+0x1f5/0x543 [jbd]
Jun  2 10:32:11 localhost kernel:  [<e08907dc>] ext3_mark_iloc_dirty+0xf/0x16 [ext3]
Jun  2 10:32:11 localhost kernel:  [<e08908a5>] ext3_mark_inode_dirty+0x3a/0x41
[ext3]
Jun  2 10:32:11 localhost kernel:  [<e08946ee>] __ext3_journal_stop+0x19/0x34 [ext3]
Jun  2 10:32:11 localhost kernel:  [<c0103aab>] error_code+0x2b/0x30
Jun  2 10:32:11 localhost kernel:  [<c0166062>] page_remove_rmap+0x2c/0x40
Jun  2 10:32:11 localhost kernel:  [<c015c83f>] zap_pte_range+0x14b/0x283
Jun  2 10:32:11 localhost kernel:  [<c015c9be>] zap_pmd_range+0x47/0x65
Jun  2 10:32:11 localhost kernel:  [<c015ca0a>] zap_pud_range+0x2e/0x52
Jun  2 10:32:11 localhost kernel:  [<c015ca94>] unmap_page_range+0x66/0x83
Jun  2 10:32:11 localhost kernel:  [<c015cbb4>] unmap_vmas+0x103/0x37c
Jun  2 10:32:11 localhost kernel:  [<c016351f>] exit_mmap+0xa0/0x265
Jun  2 10:32:11 localhost kernel:  [<c014b84f>] generic_file_aio_read+0x3e/0x4f
Jun  2 10:32:11 localhost kernel:  [<c011c521>] mmput+0x23/0x1c2
Jun  2 10:32:11 localhost kernel:  [<c0181803>] exec_mmap+0x128/0x2b2
Jun  2 10:32:11 localhost kernel:  [<c0181dbe>] flush_old_exec+0x127/0x1074
Jun  2 10:32:11 localhost kernel:  [<c013c499>] autoremove_wake_function+0x0/0x37
Jun  2 10:32:11 localhost kernel:  [<c0173e59>] vfs_read+0xc0/0x108
Jun  2 10:32:11 localhost kernel:  [<c01816d1>] kernel_read+0x37/0x41
Jun  2 10:32:11 localhost kernel:  [<c01ab2c4>] load_elf_binary+0x3ca/0xd21
Jun  2 10:32:11 localhost kernel:  [<c01810ed>] copy_strings+0x1c3/0x211
Jun  2 10:32:11 localhost kernel:  [<c01830ea>] search_binary_handler+0x60/0x1d1
Jun  2 10:32:11 localhost kernel:  [<c01833ba>] do_execve+0x15f/0x1fe
Jun  2 10:32:11 localhost kernel:  [<c0101a38>] sys_execve+0x34/0x1fc
Jun  2 10:32:11 localhost kernel:  [<c0103903>] syscall_call+0x7/0xb
Jun  2 10:32:11 localhost kernel: note: bash[4203] exited with preempt_count 1
Jun  2 10:32:30 localhost shutdown: shutting down for system reboot
Comment 3 Dave Jones 2005-07-15 14:00:29 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 4 Dave Jones 2005-10-02 20:28:31 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.